Subject: bug#58864: 29.0.50; Warning when compiling emacs-lisp/hierarchy.el

From: Arash Esbati <[email-masked]>
Date: Sat, 29 Oct 2022 13:58:45 +0200

Hi all,

building Emacs from master (f826f56a41) issues this warning:

  In hierarchy--create-delayed-tree-widget:
  emacs-lisp/hierarchy.el:570:12: Warning: Unused lexical argument `widget'

I'm not familiar with the code, but I think this is due to commit
c6ec08e49a and how `hierarchy--create-delayed-tree-widget' is defined.

Best, Arash